## com.sun.jersey.core.header
Class LinkHeader.LinkHeaderBuilder<T extends LinkHeader.LinkHeaderBuilder,V extends LinkHeader>

    java.lang.Object
      com.sun.jersey.core.header.LinkHeader.LinkHeaderBuilder<T,V>

Enclosing class:
  LinkHeader

    public static class LinkHeader.LinkHeaderBuilder<T extends LinkHeader.LinkHeaderBuilder,V extends LinkHeader>

extends java.lang.Object

A Link header builder.

Field Summary
`protected MultivaluedMap<java.lang.String,java.lang.String>` | `parameters`
`protected java.util.Set<java.lang.String>` | `rels`
`protected MediaType` | `type`
`protected java.net.URI` | `uri`

Method Summary
`V` | `build()`
`T` | `op(java.lang.String op)`
`T` | `parameter(java.lang.String key, java.lang.String value)`
`T` | `rel(java.lang.String rel)`
`T` | `type(MediaType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uri

    protected java.net.URI uri

### rels

    protected java.util.Set<java.lang.String> rels

### type

    protected MediaType type

### parameters

    protected MultivaluedMap<java.lang.String,java.lang.String> parameters

Method Detail

### rel

    public T rel(java.lang.String rel)

### type

    public T type(MediaType type)

### op

    public T op(java.lang.String op)

### parameter

    public T parameter(java.lang.String key,
                       java.lang.String value)

### build

    public V build()

Copyright © 2017 Oracle Corporation. All Rights Reserved.